OpenTTD

Public Member Functions | Private Attributes
ICUParagraphLayout::ICULine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for ICUParagraphLayout::ICULine:

## Public Member Functions
| ICULine (ParagraphLayout::Line *l)
int | GetLeading () const
int | GetWidth () const
int | CountRuns () const
const ParagraphLayouter::VisualRun * | GetVisualRun (int run) const
int | GetInternalCharLength (WChar c) const
Public Member Functions inherited from AutoDeleteSmallVector< ICUVisualRun *, 4 >
void | Clear ()
| Remove all items from the list.
Public Member Functions inherited from SmallVector< ICUVisualRun *, S >
| SmallVector (const SmallVector &other)
| Copy constructor. More...
| SmallVector (const SmallVector< ICUVisualRun *, X > &other)
| Generic copy constructor. More...
SmallVector & | operator= (const SmallVector &other)
| Assignment. More...
SmallVector & | operator= (const SmallVector< ICUVisualRun *, X > &other)
| Generic assignment. More...
void | Assign (const SmallVector< ICUVisualRun *, X > &other)
| Assign items from other vector.
void | Clear ()
| Remove all items from the list.
void | Reset ()
| Remove all items from the list and free allocated memory.
void | Compact ()
| Compact the list down to the smallest block size boundary.
ICUVisualRun * * | Append (uint to_add=1)
| Append an item and return it. More...
void | Resize (uint num_items)
| Set the size of the vector, effectively truncating items from the end or appending uninitialised ones. More...
const ICUVisualRun * * | Find (const ICUVisualRun * &item) const
| Search for the first occurrence of an item. More...
ICUVisualRun * * | Find (const ICUVisualRun * &item)
| Search for the first occurrence of an item. More...
int | FindIndex (const ICUVisualRun * &item) const
| Search for the first occurrence of an item. More...
bool | Contains (const ICUVisualRun * &item) const
| Tests whether a item is present in the vector. More...
void | Erase (ICUVisualRun * *item)
| Removes given item from this vector. More...
void | ErasePreservingOrder (uint pos, uint count=1)
| Remove items from the vector while preserving the order of other items. More...
bool | Include (const ICUVisualRun * &item)
| Tests whether a item is present in the vector, and appends it to the end if not. More...
uint | Length () const
| Get the number of items in the list. More...
const ICUVisualRun * * | Begin () const
| Get the pointer to the first item (const) More...
ICUVisualRun * * | Begin ()
| Get the pointer to the first item. More...
const ICUVisualRun * * | End () const
| Get the pointer behind the last valid item (const) More...
ICUVisualRun * * | End ()
| Get the pointer behind the last valid item. More...
const ICUVisualRun * * | Get (uint index) const
| Get the pointer to item "number" (const) More...
ICUVisualRun * * | Get (uint index)
| Get the pointer to item "number". More...
const ICUVisualRun * & | operator[] (uint index) const
| Get item "number" (const) More...
ICUVisualRun * & | operator[] (uint index)
| Get item "number". More...

## Private Attributes
ParagraphLayout::Line * | l
| The actual ICU line.

## Additional Inherited Members
Protected Attributes inherited from SmallVector< ICUVisualRun *, S >
ICUVisualRun * * | data
| The pointer to the first item.
uint | items
| The number of items stored.
uint | capacity
| The available space for storing items.

## Detailed Description

A single line worth of VisualRuns.

Definition at line 152 of file gfx_layout.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout.cpp